Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.taxonomy.usermgmt.securityproviders
Class SecurityProvidersRootTaxonomy

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.SimpleTaxonomyBuilder
          com.bea.portal.tools.da.taxonomy.usermgmt.securityproviders.SecurityProvidersRootTaxonomy

All Implemented Interfaces
  TaxonomyBuilder, Serializable

    public class SecurityProvidersRootTaxonomy

extends SimpleTaxonomyBuilder

Taxonomy for the SecurityProviders too taxonomy node, which contains AuthenticationProviders and RoleMappers.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`SecurityProvidersRootTaxonomy()`

Method Summary
`StringBuilder` | `buildTaxonomy()` Builds the taxonomy String associated with this `TaxonomyBuilder`.

Methods inherited from class com.bea.p13n.delegation.taxonomy.SimpleTaxonomyBuilder
`getTaxonomyLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityProvidersRootTaxonomy

    public SecurityProvidersRootTaxonomy()

Method Detail

### buildTaxonomy

    public StringBuilder buildTaxonomy()

  Description copied from interface: `TaxonomyBuilder`
  Builds the taxonomy String associated with this `TaxonomyBuilder`. This may involve other `TaxonomyBuilders` in cases where there is a heirarchical structure to the taxonomy.

  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.